> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rockapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Audio transcription

> Convert audio to text



## OpenAPI

````yaml /ja/api-reference/openapi.json post /v1/audio/transcriptions
openapi: 3.0.1
info:
  title: Rock API AI モデル API
  version: 1.0.0
  description: Rock API の OpenAI 互換 AI モデル API リファレンスです。
servers:
  - url: https://rockapi.ai
security:
  - BearerAuth: []
tags:
  - name: List models
  - name: OpenAI format (Chat)
  - name: OpenAI format (Responses)
  - name: Image generation
  - name: Image generation/OpenAI-compatible format
  - name: Image generation/Qwen
  - name: Video generation
  - name: Video generation/Sora-compatible format
  - name: Video generation/Kling format
  - name: Video generation/Jimeng format
  - name: Claude format (Messages)
  - name: Gemini format
  - name: OpenAI format (Embeddings)
  - name: Text completions
  - name: OpenAI audio
  - name: Rerank
  - name: Moderations
  - name: Realtime
  - name: Not implemented
  - name: Not implemented/Fine-tunes
  - name: Not implemented/Files
paths:
  /v1/audio/transcriptions:
    post:
      tags:
        - OpenAI audio
      summary: Audio transcription
      description: Convert audio to text
      operationId: createTranscription
      parameters: []
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: Audio file
                  example: ''
                model:
                  type: string
                  example: whisper-1
                language:
                  type: string
                  description: ISO 639-1 language code
                  example: ''
                prompt:
                  type: string
                  example: ''
                response_format:
                  type: string
                  enum:
                    - json
                    - text
                    - srt
                    - verbose_json
                    - vtt
                  default: json
                  example: json
                temperature:
                  type: number
                  example: 0
                timestamp_granularities:
                  type: array
                  items:
                    type: string
                    enum:
                      - word
                      - segment
                  example: ''
              required:
                - file
                - model
        required: true
      responses:
        '200':
          description: Transcription completed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AudioTranscriptionResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    AudioTranscriptionResponse:
      type: object
      properties:
        text:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        Authenticate with a Bearer Token.
        Format: `Authorization: Bearer sk-xxxxxx`

````